diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
index d2a787f..96dcec5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
@@ -996,16 +996,16 @@ class FunctionView(PGChildNodeView, DataTypeReader):
                                        func_def=name_with_default_args,
                                        query_for="sql_panel")
 
-        sql_header = u"""-- {0}: {1}{2}
+        sql_header = u"""-- {0}: {1}({2})
 
--- DROP {0} {1}{2};
+-- DROP {0} {1}({2});
 
 """.format(object_type.upper(),
            self.qtIdent(
                self.conn,
                resp_data['pronamespace'],
                resp_data['proname']),
-           resp_data['proargtypenames'])
+           resp_data['proargtypenames'].lstrip('(').rstrip(')'))
 
         SQL = sql_header + func_def
         SQL = re.sub('\n{2,}', '\n\n', SQL)
